Skip to main content
PUT
/
apikeys
/
{apiKey}
Update
curl --request PUT \
  --url https://{appid}.api-{region}.cometchat.io/v3/apikeys/{apiKey} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "name": "<string>",
  "scope": "fullAccess"
}
'
{
  "data": {
    "apiKey": "f1915e328e249ffaaafd97fb46a57ba55d233fbf",
    "name": "John's apiKey",
    "scope": "authOnly",
    "createdAt": 1625206799
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

apiKey
string
required

An apikey to update.

Body

application/json
name
string

Friendly name for the API key.

scope
enum<string>

Scope for the API key. Possible values: fullAccess, authOnly.

Available options:
fullAccess,
authOnly

Response

200 - application/json

Updated API Key

data
object